Qyra
ReferenceProjects

Upsert virtual view as code

Upsert a virtual view from code representation

POST/api/v1/projects/{projectUuid}/code/virtualViews/{slug}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
slugstringYes

Query parameters

NameTypeRequiredDescription
forcebooleanNo

Request body

{
  "parameters": {
    "property": "string"
  },
  "columns": [
    {
      "provenance": {
        "sourceQueryUuid": "string",
        "fieldId": "string"
      },
      "shiftsTimezone": true,
      "timeInterval": "RAW",
      "formatOptions": {
        "type": "default",
        "round": 0,
        "separator": "default",
        "currency": "string",
        "compact": "auto",
        "prefix": "string",
        "suffix": "string",
        "timeInterval": "RAW",
        "custom": "string"
      },
      "separator": "default",
      "format": "string",
      "label": "string",
      "numericKind": {
        "kind": "integer"
      },
      "type": "string",
      "reference": "string"
    }
  ],
  "sql": "string",
  "name": "string",
  "slug": "string",
  "version": 0,
  "contentType": "virtual_view"
}

Responses

200 — Success

{
  "results": {
    "action": "create"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}